class ContentBytesModel {
  String? status;
  int? statusCode;
  String? message;
  Data? data;

  ContentBytesModel({this.status, this.statusCode, this.message, this.data});

  ContentBytesModel.fromJson(Map<String, dynamic> json) {
    status = json['status'];
    statusCode = json['status_code'];
    message = json['message'];
    data = json['data'] != null ? Data.fromJson(json['data']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['status'] = status;
    data['status_code'] = statusCode;
    data['message'] = message;
    if (this.data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}

class Data {
  List<Video>? video;
  List<Audio>? audio;
  List<Read>? read;

  Data({this.video, this.audio, this.read});

  Data.fromJson(Map<String, dynamic> json) {
    if (json['video'] != null) {
      video = <Video>[];
      json['video'].forEach((v) {
        video!.add(Video.fromJson(v));
      });
    }
    if (json['audio'] != null) {
      audio = <Audio>[];
      json['audio'].forEach((v) {
        audio!.add(Audio.fromJson(v));
      });
    }
    if (json['read'] != null) {
      read = <Read>[];
      json['read'].forEach((v) {
        read!.add(Read.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (video != null) {
      data['video'] = video!.map((v) => v.toJson()).toList();
    }
    if (audio != null) {
      data['audio'] = audio!.map((v) => v.toJson()).toList();
    }
    if (read != null) {
      data['read'] = read!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Video {
  int? id;
  String? contentType;
  String? title;
  String? description;
  String? tags;
  String? file;
  int? categoryId;
  String? image;
  String? isActive;

  Video({
    this.id,
    this.contentType,
    this.title,
    this.description,
    this.tags,
    this.file,
    this.categoryId,
    this.image,
    this.isActive,
  });

  Video.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    contentType = json['content_type'];
    title = json['title'];
    description = json['description'];
    tags = json['tags'];
    file = json['file'];
    categoryId = json['category_id'];
    image = json['image'];
    isActive = json['is_active'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['content_type'] = contentType;
    data['title'] = title;
    data['description'] = description;
    data['tags'] = tags;
    data['file'] = file;
    data['category_id'] = categoryId;
    data['image'] = image;
    data['is_active'] = isActive;

    return data;
  }
}

class Audio {
  int? id;
  String? contentType;
  String? title;
  String? description;
  String? tags;
  String? file;
  int? categoryId;
  String? image;
  String? isActive;

  Audio({
    this.id,
    this.contentType,
    this.title,
    this.description,
    this.tags,
    this.file,
    this.categoryId,
    this.image,
    this.isActive,
  });

  Audio.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    contentType = json['content_type'];
    title = json['title'];
    description = json['description'];
    tags = json['tags'];
    file = json['file'];
    categoryId = json['category_id'];
    image = json['image'];
    isActive = json['is_active'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['content_type'] = contentType;
    data['title'] = title;
    data['description'] = description;
    data['tags'] = tags;
    data['file'] = file;
    data['category_id'] = categoryId;
    data['image'] = image;
    data['is_active'] = isActive;

    return data;
  }
}

class Read {
  int? id;
  String? contentType;
  String? title;
  String? description;
  String? tags;
  String? file;
  int? categoryId;
  String? image;
  String? isActive;

  Read({
    this.id,
    this.contentType,
    this.title,
    this.description,
    this.tags,
    this.file,
    this.categoryId,
    this.image,
    this.isActive,
  });

  Read.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    contentType = json['content_type'];
    title = json['title'];
    description = json['description'];
    tags = json['tags'];
    file = json['file'];
    categoryId = json['category_id'];
    image = json['image'];
    isActive = json['is_active'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['content_type'] = contentType;
    data['title'] = title;
    data['description'] = description;
    data['tags'] = tags;
    data['file'] = file;
    data['category_id'] = categoryId;
    data['image'] = image;
    data['is_active'] = isActive;

    return data;
  }
}
